import { Model } from '@tamanu/database/models/Model';
export declare const chance: Chance.Chance;
export declare function fakeStringFields(prefix: string, fields: string[]): {
    [x: string]: string;
};
export declare function fakeScheduledVaccine(prefix?: string): {
    weeksFromBirthDue: number;
    weeksFromLastVaccinationDue: any;
    index: number;
    vaccineId: any;
    visibilityStatus: "current";
    sortIndex: number;
};
export declare function fakeSurvey(prefix?: string): {
    programId: any;
    surveyType: string;
    isSensitive: boolean;
};
export declare function fakeSurveyScreenComponent(prefix?: string): {
    surveyId: any;
    dataElementId: any;
    screenIndex: number;
    componentIndex: number;
    options: string;
    calculation: string;
};
export declare function fakeProgramDataElement(prefix?: string): {
    type: string;
};
export declare function fakeReferenceData(prefix?: string): {
    type: string;
    visibilityStatus: "current";
};
export declare function fakeUser(prefix?: string): {
    [x: string]: string;
};
export declare function fakeProgram(prefix?: string): {
    [x: string]: string;
};
export declare function fakeAdministeredVaccine(prefix: string, scheduledVaccineId: any): {
    encounterId: any;
    scheduledVaccineId: any;
    date: string;
};
export declare function fakeEncounter(prefix?: string): {
    deviceId: any;
    surveyResponses: any[];
    administeredVaccines: any[];
    encounterType: string;
    startDate: string;
    endDate: string;
};
export declare function fakeSurveyResponse(prefix?: string): {
    answers: any[];
    encounterId: any;
    surveyId: any;
    startTime: string;
    endTime: string;
    result: number;
};
export declare function fakeSurveyResponseAnswer(prefix?: string): {
    dataElementId: any;
    responseId: any;
};
export declare function fakeEncounterDiagnosis(prefix?: string): {
    certainty: string;
    date: string;
    isPrimary: boolean;
    encounterId: any;
    diagnosisId: any;
};
export declare function fakePrescription(prefix?: string): {
    date: string;
    endDate: string;
};
export declare const fakeDate: () => Date;
export declare const fakeString: (model: typeof Model, { fieldName }: {
    fieldName: any;
}, id: string) => string;
export declare const fakeDateTimeString: () => string;
export declare const fakeDateString: () => string;
export declare const fakeInt: () => number;
export declare const fakeFloat: () => number;
export declare const fakeBool: () => boolean;
export declare const fake: (model: typeof Model, passedOverrides?: Record<string, any>) => Record<string, any>;
